if(!require(maptools)){
  install.packages("maptools"); library(maptools)
}
#1----------------------------------------
ifname<- "PreTimePerformance.csv"
alldata <- read.delim(ifname, row.names=1,header=T, sep=",", as.is=TRUE, strip.white=FALSE)
#2----------------------------------------
pdf('PreTime2.pdf', width = 8, height = 8)
par(cex=0.8)
#3----------------------------------------
xrange <- c(-4.0,1.0); tickValues1 <- pretty(xrange)
tickStrings1 <- sprintf("%.2f",tickValues1) 
yrange <- c(-1,4); tickValues2 <- pretty(yrange)
tickStrings2 <- sprintf("%.2f",tickValues2) 
#4----------------------------------------
plot(alldata,xlim=xrange,ylim=yrange,
     xlab=colnames(alldata)[[1]],ylab=colnames(alldata)[[2]],
     col="red",type="p",xaxt="n",yaxt="n")
axis(side=1,at=tickValues1,labels=tickStrings1)
axis(side=2,at=tickValues2,labels=tickStrings2)
#4a---------------------------------------
pointLabel(alldata,labels=rownames(alldata),col="black")
#4b---------------------------------------
#text(alldata,labels=rownames(alldata),pos=2,offset=0.1,col="black")
dev.off()